Name:           libsigrokdecode
Version:        0.3.0
Release:        1%{?dist}
Summary:        Basic API for running protocol decoders
# Combined GPLv3+ and GPLv2+
License:        GPLv3+
URL:            http://www.sigrok.org
Source0:        %{url}/download/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel
BuildRequires:  python3-devel
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
%{name} is a shared library written in C which provides the basic API
for running sigrok protocol decoders. The protocol decoders themselves
are written in Python.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# libsigrokdecode.h includes <Python.h>
Requires:       python3-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Group:          Documentation
Summary:        API documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for developing software
using %{name}.

# Turn off the brp-python-bytecompile script
# The python files are designed to work with a python module that only exists
# when called from libsigrokdecode. Trying to bytecompile them will break our
# build
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%prep
%setup -q


%build
%configure --disable-static 
V=1 make %{?_smp_mflags}

# This builds documentation for the -doc package
doxygen Doxyfile


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README NEWS COPYING
%{_libdir}/libsigrokdecode.so.2*
%{_datadir}/libsigrokdecode/


%files devel
%{_includedir}/libsigrokdecode/
%{_libdir}/libsigrokdecode.so
%{_libdir}/pkgconfig/libsigrokdecode.pc

%files doc
%doc doxy/html-api/

%changelog
* Sun Jul 27 2014 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.3.0-1
- Update to libsigrokdecode-0.3.0 release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 04 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.2.0-1
- Update to libsigrokdecode 0.2.0 release (soname version bump)

* Fri Mar 29 2013 mr.nuke.me@gmail.com - 0.1.1-3
- Fix typo in comment
- Make verbose build (V=1 make)
- Remove unneeded buildroot and defattr tags

* Tue Mar 19 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.1.1-2
- Remove README from -devel subpackage (already included in main package)
- Remove ChangeLog from -doc subpackage (only contains a 'git log')
- Own datadir/libsigrokdecode directory
- Add python3-devel as dependency of -devel subpackage
- Add graphviz as a build dependency (needed for doxygen docs)
- Cherry-pick upstream patch clarifying license

* Thu Mar 14 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.1.1-1
- Update to libsigrokdecode-0.1.1 release
- Drop dependency of -doc subpackage
- Use explicit soversion in files section

* Wed Dec 12 2012 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.1.0-2
- Added comment explaining licensing
- Moved 'ChangeLog' file to doc subpackage (file much larger than library)
- Removed -devel dependency for -doc subpackage
- Removed  _missing_build_ids_terminate_build undef

* Wed Oct 10 2012 Alexandru Gagniuc mr.nuke.me[at]gmail[dot]com - 0.1.0-1
- Initial RPM release
